;InnoSetupVersion=5.2.1

[Setup]
AppName=AusLogics Registry Defrag
AppVerName=AusLogics Registry Defrag 4.1
AppId={{D627784F-B3EE-44E8-96B1-9509B991EA34}
AppVersion=version 4.1
AppPublisher=AusLogics, Inc.
AppPublisherURL=http://www.auslogics.com
AppSupportURL=http://www.auslogics.com/support.php
AppUpdatesURL=http://www.auslogics.com/registry-defrag
AppMutex={{8D622ABC-7F4F-49CF-A95A-86F8A21753BA}regdef.exe
DefaultDirName={pf}\AusLogics Registry Defrag
DefaultGroupName=AusLogics Registry Defrag
UninstallDisplayIcon={app}\regdefrag.exe
UninstallDisplayName=AusLogics Registry Defrag
OutputBaseFilename=in
Compression=lzma
DisableProgramGroupPage=yes
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\regdefrag,1.exe"; DestDir: "{app}"; DestName: "regdefrag.exe"; MinVersion: 0.0,5.0.2195; Flags: ignoreversion 
Source: "{app}\axforms10.bpl"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\axpackage10.bpl"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\axuninstall.exe"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\commonforms_lite.dll"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\helper.dll"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\localizer.dll"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\madbasic_.bpl"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\maddisasm_.bpl"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\madexcept_.bpl"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\rdhook.dll"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\rdinfo.exe"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\regdefrag.dll"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\regdefrag,2.exe"; DestDir: "{app}"; DestName: "regdefrag.exe"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\replibrary.dll"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\rtl70.bpl"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\vcl70.bpl"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\Data\about.png"; DestDir: "{app}\Data"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\Lang\en.lng"; DestDir: "{app}\Lang"; MinVersion: 0.0,5.0.2195; 
Source: "{app}\Data\main.ini"; DestDir: "{app}\Data"; MinVersion: 0.0,5.0.2195; 

[Dirs]
Name: "{app}\Lang\"; 

[Registry]
Root: HKCU; Subkey: "Software\AusLogics\Registry Defrag"; MinVersion: 0.0,5.0.2195; Flags: uninsdeletekey 

[INI]
FileName: "{app}\regdefrag.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.auslogics.com/registry-defrag"; 

[Run]
Filename: "{app}\regdefrag.exe"; Description: "{cm:LaunchProgram,AusLogics Registry Defrag}"; MinVersion: 0.0,5.0.2195; Flags: postinstall skipifsilent nowait

[UninstallRun]
Filename: "{app}\AxUninstall.exe"; WorkingDir: "{app}"; MinVersion: 0.0,5.0.2195; Flags: skipifdoesntexist waituntilidle

[Icons]
Name: "{userdesktop}\AusLogics Registry Defrag"; Filename: "{app}\regdefrag.exe"; Tasks: desktopicon; MinVersion: 0.0,5.0.2195; 
Name: "{group}\AusLogics Registry Defrag"; Filename: "{app}\regdefrag.exe"; MinVersion: 0.0,5.0.2195; 
Name: "{group}\{cm:ProgramOnTheWeb,AusLogics Registry Defrag}"; Filename: "http://www.auslogics.com/registry-defrag"; IconFilename: "{sys}\url.dll"; MinVersion: 0.0,5.0.2195; 
Name: "{group}\{cm:UninstallProgram,AusLogics Registry Defrag}"; Filename: "{uninstallexe}"; MinVersion: 0.0,5.0.2195; 

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; MinVersion: 0.0,5.0.2195; 

[UninstallDelete]
Type: files; Name: "{app}\regdefrag.url"; 
Type: filesandordirs; Name: "{app}*"; 

[CustomMessages]
English.NameAndVersion=%1 version %2
English.AdditionalIcons=Additional icons:
English.CreateDesktopIcon=Create a &desktop icon
English.CreateQuickLaunchIcon=Create a &Quick Launch icon
English.CreateAutorun=&Run the program when I log on to Windows
English.ProgramOnTheWeb=%1 on the Web
English.UninstallProgram=Uninstall %1
English.LaunchProgram=Launch %1
English.AssocFileExtension=&Associate %1 with the %2 file extension
English.AssocingFileExtension=Associating %1 with the %2 file extension...
English.MutexSetupAppRunningError=Setup has detected that Auslogics Registry Defrag is currently running.%n%nPlease close all instances of it now, then click OK to continue, or Cancel to exit.

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "English"; MessagesFile: "embedded\English.isl"; 
